import config from './config';

module.exports = {
  resources: `${config.apiHost}/resource/list`,
  resource: `${config.apiHost}/resource/:id`,
  signature: `${config.apiHost}/oss/signature`,
  cmsUsers: `${config.apiHost}/cms/user/list`,
  cmsUser: `${config.apiHost}/cms/user`,
  userLogin: `${config.apiHost}/login`,
  userLogout: `${config.apiHost}/logout`,
  campuses: `${config.apiHost}/campus/list`,
  campus: `${config.apiHost}/campus/:id`,
  terminals: `${config.apiHost}/user/list`,
  terminal: `${config.apiHost}/user`,
  merchants: `${config.apiHost}/merchant/list`,
  merchant: `${config.apiHost}/merchant`,
  recommend: `${config.apiHost}/merchant/recommend`,
  // 标签组及标签
  groups: `${config.apiHost}/group/list`,
  group: `${config.apiHost}/group`,
  tags: `${config.apiHost}/tag/list`,
  tag: `${config.apiHost}/tag/:id`,
  // 课件/课
  wares: `${config.apiHost}/ware/list`,
  ware: `${config.apiHost}/ware/:id`,
  lessons: `${config.apiHost}/lesson/list`,
  lesson: `${config.apiHost}/lesson/:id`,
  // 产品接口，包括：课程、周边、课程包
  product: `${config.apiHost}/product`,
  course: `${config.apiHost}/product/course`,
  support: `${config.apiHost}/product/support`,
  packageList: `${config.apiHost}/product/package`,
  savePackage: `${config.apiHost}/package`,
  // 渠道产品接口
  merchantProducts: `${config.apiHost}/merchant/product`,
  merchantProduct: `${config.apiHost}/merchant/product/detail`,
  merchantProductCreate: `${config.apiHost}/merchant/product/status`,
  bundleTag: `${config.apiHost}/merchant/product/tags`,
  // 商品接口
  goods: `${config.apiHost}/goods`,
  // 订单接口
  order: `${config.apiHost}/order`,
  // 销售统计
  soldProduct: `${config.apiHost}/soldProduct`,
};
